BuildTargetsPage.FilteringContentProviderWrapper (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.ui.shared.BuildTargetsPage.FilteringContentProviderWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.ui.shared
Class BuildTargetsPage.FilteringContentProviderWrapper

    java.lang.Object
      com.nokia.carbide.cpp.sdk.ui.shared.BuildTargetsPage.FilteringContentProviderWrapper

Enclosing class:
  BuildTargetsPage

    protected static class BuildTargetsPage.FilteringContentProviderWrapper

extends java.lang.Object

Field Summary
`protected IFilter` | `configFilter`
`protected IFilter` | `filter`
`protected ITreeContentProvider` | `wrappedProvider`

Constructor Summary
`BuildTargetsPage.FilteringContentProviderWrapper(ITreeContentProvider wrappedProvider)`

Method Summary
`void` | `dispose()`
`java.lang.Object[]` | `getChildren(java.lang.Object parentElement)`
`java.lang.Object[]` | `getElements(java.lang.Object inputElement)`
`java.lang.Object` | `getParent(java.lang.Object element)`
`boolean` | `hasChildren(java.lang.Object element)`
`void` | `inputChanged(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`void` | `setConfigFilter(IFilter filter)`
`void` | `setFilter(IFilter filter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wrappedProvider

    protected ITreeContentProvider wrappedProvider

### filter

    protected IFilter filter

### configFilter

    protected IFilter configFilter

Constructor Detail

### BuildTargetsPage.FilteringContentProviderWrapper

    public BuildTargetsPage.FilteringContentProviderWrapper(ITreeContentProvider wrappedProvider)

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

### dispose

    public void dispose()

### inputChanged

    public void inputChanged(Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

### getParent

    public java.lang.Object getParent(java.lang.Object element)

### hasChildren

    public boolean hasChildren(java.lang.Object element)

### setFilter

    public void setFilter(IFilter filter)

### setConfigFilter

    public void setConfigFilter(IFilter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD